=== debian/rules ===
#!/usr/bin/make -f
#
#export DH_VERBOSE=1

-include /usr/share/python/python.mk

PYVERS=$(shell pyversions -vs)
PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

export CPPFLAGS     := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS       := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS     := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS      := $(shell dpkg-buildflags --get LDFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98

DH_AUTO_CONFIGURE_OPTS := -DCMAKE_BUILD_TYPE=None \
                          -DPYTHON_BINDINGS=ON -DPERL_BINDINGS=ON \
                          -DOBPERL_INSTALLDIRS=vendor \
                          -DCMAKE_SKIP_RPATH=ON -DBUILD_GUI=ON \
                          -DENABLE_OPENMP=ON -DBUILD_DOCS=ON
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
DH_AUTO_CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

%:
	dh $@ --with=python2 --builddirectory=$(CURDIR)/builddir

override_dh_auto_configure:
	dh_auto_configure -- $(DH_AUTO_CONFIGURE_OPTS)
	sed -i -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		debian/libopenbabel-dev.install

override_dh_auto_build:
	dh_auto_build
	make -C $(CURDIR)/builddir docs

override_dh_install:
	dh_install -Nlibchemistry-openbabel-perl
	dh_missing --list-missing -Nlibchemistry-openbabel-perl
	mkdir -p $(CURDIR)/debian/tmp/$(PERL_ARCHLIB)
	mv debian/tmp/usr/lib/auto debian/tmp/usr/lib/Chemistry \
	  $(CURDIR)/debian/tmp/$(PERL_ARCHLIB)
	dh_install -plibchemistry-openbabel-perl -Xperllocal.pod --autodest $(PERL_ARCHLIB)
	dh_missing --list-missing -plibchemistry-openbabel-perl -Xperllocal.pod

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_installdocs:
	dh_installdocs -X.js

override_dh_compress:
	dh_compress -Xusr/share/doc/libopenbabel-doc/html/ \
	            -Xusr/share/doc/python-openbabel/examples

override_dh_auto_test:
	-BABEL_LIBDIR=$(CURDIR)/builddir/lib \
	LD_LIBRARY_PATH=$(CURDIR)/builddir/lib \
	dh_auto_test

override_dh_strip:
	dh_strip --dbg-package=openbabel-dbg
